---
# The container image exists on the GitLab registry
#image: registry.gitlab.com/wasmcooking/images/wasm-grain:0.0.0
image: registry.gitlab.com/wasmcooking/images/wasm-grain:0.0.1

# The container image exists on the Docker Hub
# image: k33g/wasm-grain:0.0.0

tasks:
  - name: initialize
    before: |

      # ------------------------------------
      # wasmer
      # ------------------------------------
      #sudo apt install libncurses5 -y
      curl https://get.wasmer.io -sSfL | sh
      source /home/gitpod/.wasmer/wasmer.sh

      sudo echo "source /home/gitpod/.wasmer/wasmer.sh" >> $HOME/.bashrc

      # ------------------------------------
      # grain
      # ------------------------------------
      (echo 'export PATH="${PATH}:$(yarn global bin)"' >> ~/.bashrc) && source ~/.bashrc

     
    init: |

      # ------------------------------------
      # nothing to do
      # ------------------------------------     
      echo "😊 hello"

ports:
  - port: 8080
    visibility: public
  - port: 3000
    visibility: public


vscode:
  extensions:
    - wayou.vscode-todo-highlight
    - pkief.material-icon-theme
    - grain-lang.vscode-grain
    - golang.go
    - bungcip.better-toml

